summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mikko Värri2012-06-27 22:12:55 +0200
committer dsomero2012-06-27 22:12:55 +0200
commitce171af9d402b02beebbf15345378e20c19e240c (patch)
tree19e638e2666621b26127e530af92c7f7bc2ed4f2
parent85d3b415cc1b21dfca34ca37ba9045576ce9eeac (diff)
downloadslackbuilds-ce171af9d402b02beebbf15345378e20c19e240c.tar.gz
haskell/haskell-xml: Updated for version 1.3.12.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--haskell/haskell-xml/README6
-rw-r--r--haskell/haskell-xml/haskell-xml.SlackBuild55
-rw-r--r--haskell/haskell-xml/haskell-xml.info10
3 files changed, 47 insertions, 24 deletions
diff --git a/haskell/haskell-xml/README b/haskell/haskell-xml/README
index ee185c420a..a57b3157fa 100644
--- a/haskell/haskell-xml/README
+++ b/haskell/haskell-xml/README
@@ -1,6 +1,6 @@
A simple XML library for Haskell programs.
-This requires ghc.
+This requires ghc, and haskell-text.
-When uninstalling, run the following command to unregister the package
-from the ghc package database: ghc-pkg recache
+After uninstalling, run this command to unregister the package from
+the ghc package database: ghc-pkg recache
diff --git a/haskell/haskell-xml/haskell-xml.SlackBuild b/haskell/haskell-xml/haskell-xml.SlackBuild
index 9660d06a13..0de5e53b0f 100644
--- a/haskell/haskell-xml/haskell-xml.SlackBuild
+++ b/haskell/haskell-xml/haskell-xml.SlackBuild
@@ -3,14 +3,33 @@
# Slackware build script for xml
# Written by Peter Wang <novalazy@gmail.com>
-# Public domain.
+# Copyright 2012 Mikko Värri, Finland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-SRCNAM=xml
-PRGNAM=haskell-$SRCNAM
-VERSION=${VERSION:-1.3.7}
+PRGNAM=haskell-xml
+VERSION=${VERSION:-1.3.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
GHC_VERSION=$(ghc --numeric-version)
if [ -z "$ARCH" ]; then
@@ -40,7 +59,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -57,23 +76,27 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-runghc Setup.hs configure \
- --prefix=/usr \
- --enable-shared \
- --libdir=/usr/lib$LIBDIRSUFFIX \
- --libsubdir=ghc-$GHC_VERSION/$SRCNAM-$VERSION \
- --docdir=/usr/doc/$PRGNAM-$VERSION
-
-runghc Setup.hs build
-runghc Setup.hs haddock
-runghc Setup.hs copy --destdir=$PKG
-runghc Setup.hs register --gen-pkg-config
+runghc Setup configure \
+ --prefix=/usr \
+ --enable-shared \
+ --enable-library-profiling \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup build
+runghc Setup haddock
+runghc Setup copy --destdir=$PKG
+runghc Setup register --gen-pkg-config
PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
mkdir -p $PKG/$PKGCONFD
mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/haskell/haskell-xml/haskell-xml.info b/haskell/haskell-xml/haskell-xml.info
index e4dca3c40b..b592ae52a1 100644
--- a/haskell/haskell-xml/haskell-xml.info
+++ b/haskell/haskell-xml/haskell-xml.info
@@ -1,10 +1,10 @@
PRGNAM="haskell-xml"
-VERSION="1.3.7"
+VERSION="1.3.12"
HOMEPAGE="http://hackage.haskell.org/package/xml"
-DOWNLOAD="http://hackage.haskell.org/packages/archive/xml/1.3.7/xml-1.3.7.tar.gz"
-MD5SUM="fc2d7e1a321b4393dd444b16ab6ba669"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/xml/1.3.12/xml-1.3.12.tar.gz"
+MD5SUM="e28f0837f10a91dd14a3f573f961a739"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Peter Wang"
-EMAIL="novalazy@gmail.com"
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
APPROVED="dsomero"